## ros-melodic-rc-common-msgs 0.5.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(rc_common_msgs)
include(cmake/project_version.cmake)

# - Configuration for code optimization -
if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RELEASE CACHE STRING "Build type: DEBUG or RELEASE" FORCE)
endif ()


## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs
)



################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
add_message_files(
  FILES
  CameraParam.msg
  KeyValue.msg
  ReturnCode.msg
  ReturnCodeConstants.msg
)

## Generate services in the 'srv' folder
add_service_files(
  FILES
  Trigger.srv
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  # sensor_msgs
  std_msgs
  # geometry_msgs
  # nav_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES rc_msgs
#  CATKIN_DEPENDS std_msgs geometry_msgs nav_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

######################################
## Define information for packaging ##
######################################
#set(CPACK_DEBIAN_PACKAGE_DEPENDS "rcimu, ros-indigo-ln-msgs")
set(CPACK_DEBIAN_PACKAGE_SHLIBDEPS OFF)
include(cmake/package_debian.cmake)

=== debian/changelog ===
ros-melodic-rc-common-msgs (0.5.3-1bionic) bionic; urgency=high

  * CI changes only: also build for focal/noetic

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 17 Aug 2020 22:00:00 -0000

ros-melodic-rc-common-msgs (0.5.2-1bionic) bionic; urgency=high

  * add TIMEOUT_REACHED

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 13 Jul 2020 22:00:00 -0000

ros-melodic-rc-common-msgs (0.5.1-1bionic) bionic; urgency=high

  * add reserved constansts -3, 11 and 999

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 28 Jun 2020 22:00:00 -0000

ros-melodic-rc-common-msgs (0.5.0-1bionic) bionic; urgency=high

  * Added array key/value list for extra data to CameraParam message and removed 'noise' field (will be provided in extra_data)

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 02 Apr 2020 22:00:00 -0000

ros-melodic-rc-common-msgs (0.4.1-1bionic) bionic; urgency=high

  * add CAPACITY_EXCEEDED and CAPACITY_REACHED to ReturnCodeConstants

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 05 Mar 2020 23:00:00 -0000

ros-melodic-rc-common-msgs (0.4.0-1bionic) bionic; urgency=high

  * Renamed CameraParams to CameraParam for consistency with internal message

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-rc-common-msgs (0.3.0-1bionic) bionic; urgency=high

  * add CameraParam msg

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 10 Sep 2019 22:00:00 -0000

ros-melodic-rc-common-msgs (0.2.1-1bionic) bionic; urgency=high

  * add KeyValue msg

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 25 Apr 2019 22:00:00 -0000

ros-melodic-rc-common-msgs (0.2.0-1bionic) bionic; urgency=high

  * add INTERNAL_ERROR and IO_ERROR as constants to return codes
  * improve constants description

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-rc-common-msgs (0.1.0-1bionic) bionic; urgency=high

  * add ReturnCode with separate constants definitions
  * add Trigger service using ReturnCode
  * Initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 10 Mar 2019 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-rc-common-msgs
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: https://wiki.ros.org/rc_common_msgs
Standards-Version: 3.9.2

Package: ros-melodic-rc-common-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Common msg and srv definitions used by Roboception's ROS packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rc-common-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
